
  	<img src="theme/logo.png" alt="${initParam.shopName} logo">
	<br></br>

	<c:if test="${not (sessionScope.username == 'admin')}">
		<a href="index.jsp" class="button news">Novit</a>
		<a href="cart.jsp" class="button cart">Carrello</a>
		<br></br>
	</c:if>
	
	<%-- pannello utente --%>
	<c:choose>
	    <c:when test="${empty sessionScope.username}">
	        <%-- utente non loggato - inserisce il form per il logging --%>
			<form method="POST" action="user_login.jsp">
				<input type="text" name="username" value="${(empty param.username)? 'username' : param.username}">
				<input type="password" name="password" value="password">
				<input type="submit" value="Login" class="button login">
				<a href="user_edit.jsp" class="button profile">Registrati</a>
				<!--<input type="button" value="Register" onClick="parent.location='user_edit.jsp'">-->
			</form>
	    </c:when>
	    <c:otherwise>
	    	Sei loggato come <b>${sessionScope.username}</b>
	    	<a href="user_edit.jsp" class="button profile">Modifica profilo</a>
	    	<a href="orders_list.jsp" class="button orders">Lista ordini</a>
	 		<a href="user_logout.jsp" class="button logout">Logout</a>
	    </c:otherwise>
	</c:choose>
	
	<%-- pannello admin --%>
	<c:if test="${sessionScope.username == 'admin'}">
		<%-- TODO: div bgcolor="red" -> evidenzia le funzioni di admin --%>
		<br></br>
		<a href="admin/product_exaus.jsp" class="admin button product_exaus">Controlla magazzino</a>
		<a href="admin/stats.jsp" class="admin button stats">Statistiche</a>
		<a href="admin/product_edit_form.jsp" class="admin button product">Crea nuovo prodotto</a>
		<a href="admin/table_list.jsp?table=Classe" class="admin button category">Classi merceologiche</a>
		<a href="admin/table_list.jsp?table=Caratteristica" class="admin button measurement">Caratteristiche prodotti</a>
		<a href="admin/feat_assoc_form.jsp" class="admin button">Associa caratteristica</a>
		<a href="admin/table_list.jsp?table=Cliente" class="admin button profile">Dati clienti</a>
		<a href="admin/table_list.jsp?table=Fornitore" class="admin button shipping">Dati fornitori</a>
		<%--TODO: <a href="admin/table_list.jsp?table=Prodotto_Ordinato" class="admin button">Contenuto Ordini</a> --%>
		<br></br>
	</c:if>
	
	<%-- pannello ricerca
	<form method="GET" action="product_search.jsp">
		<input type="text" name="keywords" value="${param.keywords}">
		<input type="hidden" name="cat" value="">
		<input type="submit" value="Ricerca generale" class="button search" style="size: 50%;">
	</form>
	 --%>
	<%--<a href="product_browse.jsp" class="button browse">Naviga per classe</a> --%>
