<%-- visualizza il risultato di una query alla tabella Prodotto in forma tabellare --%>
<%-- codice usato da: product_search.jsp, product_browse.jsp, admin/product_exaus.jsp --%>

			<c:if test="${not empty param.cat}">
				<script language="JavaScript" type="text/javascript">
				<!--
					function updateTable( checkbox )
					{
						// TODO? sostituire con getElementByID
						var selectedTableRow = checkbox.parentNode.parentNode;
						var form = checkbox.parentNode.parentNode.parentNode.parentNode.parentNode;
						
						if(checkbox.checked)
							selectedTableRow.style.background = 'orange';
						else
							selectedTableRow.style.background = 'inherit';
						
						// se ci sono almeno 2 checkbox selezionati abilita il pulsante "Confronta"
						var total = 0;
						var max = form.pid.length;
						for (var idx = 0; idx < max; idx++) {
							if (eval("form.pid[" + idx + "].checked") == true) {
							    total += 1;
							   }
						}
						
						if( total >= 2 ) {
							form.submit.disabled = false;
						} else {
							form.submit.disabled = true;
						}
					}
				//-->
				</script>
				<form method="GET" action="product_compare.jsp">
			</c:if>
			
			<%-- TODO: buttons grid view, list view --%>
			
			<table width="100%">
			
				<%-- table header --%>
				<tr>
					<th width="75%">Prodotto</th>
					<th>Costo</th>
				</tr>
				
				<%-- table body --%>
				<c:forEach var="row" items="${result.rows}">
					<tr ${(row.disponibile==0)? 'class="unavailable"':''}>
					
						<td>
							<a href="product_view.jsp?pid=${row.ID_Prodotto}">
								<c:if test="${not empty (row.immagine)}">
									<img src="${row.immagine}" alt="anteprima immagine prodotto" class="thumb" style="vertical-align:middle"/>
								</c:if>
								<c:out value="${row.nome}"/>
							</a>
						</td>
						
						<td><c:out value="${row.costo}"/>&euro;</td>

						<c:choose>
							<c:when test="${sessionScope.username == 'admin'}">
	   						   <td><a href="admin/product_edit_form.jsp?pid=${row.ID_Prodotto}" class="admin button edit">Modifica</a></td>
							   <td><a href="admin/table_del_row.jsp?table=Prodotto&key=${row.ID_Prodotto}" class="admin button del">Rimuovi</a></td>
							</c:when>
							<c:otherwise>
								<c:if test="${row.disponibile>0}">
								   <td><a href="cart.jsp?addpid=${row.ID_Prodotto}" class="button cart">Acquista</a></td>
								</c:if>
								<c:if test="${not empty param.cat}">
									<td><input type="checkbox" name="pid" value="${row.ID_Prodotto}" onclick="updateTable(this)" /></td>
								</c:if>
							</c:otherwise>
						</c:choose>
						
					</tr>
					
				</c:forEach>	
			
			</table>
			
			<c:if test="${not empty param.cat}">
				<input type="submit" name="submit" value="Confronta" class="button compare" style="float:right" disabled>
				</form>
			</c:if>
			
	