<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ page errorPage="error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql"%>


<%-- PRE: controlla che l'utente non sia già loggato --%>
<c:if test="${not (empty sessionScope.username)}">
	<c:set var="errorMessage" scope="request" value="utente già loggato." />
	<jsp:forward page="error.jsp" />
</c:if>

<%-- PRE: controlla che non si è superato il numero max di tentativi di login --%>
<c:if test="${sessionScope.loginsFailedCounter >= 6}">
	<c:set var="errorMessage" scope="request" value="Numero max di tentativi di login superato.<br>Per favore riprova più tardi." />
	<%-- c:set var="errorMessage" scope="request" value="Numero max di tentativi di login superato.<br>Per favore riprova tra ${(??pageContext.application.sessionTimeout??)*60-(pageContext.session.maxInactiveInterval)} minuti." /--%>
	<jsp:forward page="error.jsp" />
</c:if>


<%-- si connette al DB degli utenti e controlla matching username+password --%>
<sql:setDataSource var="database"
     driver="${initParam.databaseDriver}"
     url="${initParam.databaseUrl}/${initParam.shopName}"
     user="${initParam.databaseUsername}"
     password="${initParam.databasePassword}" />
	     
<sql:query dataSource="${database}" var="result">
	SELECT password
	FROM Cliente
	WHERE username = '${param.username}'
</sql:query>

<c:if test="${not (param.password==result.rows[0].password)}">
	<% application.log("user \"" + request.getParameter("username") + "\" login failed."); %>
	<%-- incrementa il contatore dei tentativi --%> <c:set var="loginsFailedCounter" scope="session" value="${(sessionScope.loginsFailedCounter)+1}" />
	<c:set var="errorMessage" scope="request" value="username o password errati.<br>Per favore riprova.<br><b>Numero di tentativi rimasti: ${6-(sessionScope.loginsFailedCounter)}</b>" />
	<jsp:forward page="error.jsp" />
</c:if>
<%-- altrimenti resetta il contatore dei tentativi --%>
<c:set var="loginsFailedCounter" scope="session" value="0" />

<%-- NO? cancella il contenuto della sessione corrente --%>
<c:set var="username" scope="session" value="${param.username}" />
<% application.log("user \"" + session.getAttribute("username") + "\" login successfully."); %>

<%-- ripristina il contenuto del carrello dal DB --%>
<sql:query dataSource="${database}" var="result">
	SELECT ID_Prodotto, Quantita 
	FROM Carrello
	WHERE ID_Cliente = (
			SELECT ID_Cliente
			FROM Cliente
			WHERE username = '${sessionScope.username}'
			)
</sql:query>
<c:forEach var="row" items="${result.rows}">
	<c:set var="ID_Prodotto" value="${row.ID_Prodotto}"/>
	<c:set var="Quantita" value="${row.Quantita}"/>
	<% session.setAttribute(("cart_pid_"+pageContext.getAttribute("ID_Prodotto")), pageContext.getAttribute("Quantita")); %>
</c:forEach>

<c:set var="message" scope="request" value="<h1>Login eseguito</h1><br>utente &quot;${sessionScope.username}&quot; identificato." />
<jsp:forward page="message.jsp" />

<%-- TODO: commentare messaggio e ritorna alla pagina precedente all'accesso --%>
 
 
