<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ page errorPage="error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql"%>

<%-- controlla i campi che non possono essere vuoti --%>
	<c:if test="${empty param.nome}">
   		<c:set var="errorMessage" scope="request" value="Campo \"Nome\" vuoto (richiesto)." />
   		<jsp:forward page="error.jsp" />
	</c:if>
	<c:if test="${empty param.cognome}">
   		<c:set var="errorMessage" scope="request" value="Campo \"Cognome\" vuoto (richiesto)." />
   		<jsp:forward page="error.jsp" />
	</c:if>
	<c:if test="${empty param.indirizzo}">
   		<c:set var="errorMessage" scope="request" value="Campo \"Indirizzo\" vuoto (richiesto)." />
   		<jsp:forward page="error.jsp" />
	</c:if>
	<c:if test="${empty param.email}">
   		<c:set var="errorMessage" scope="request" value="Campo \"email\" vuoto (richiesto)." />
   		<jsp:forward page="error.jsp" />
	</c:if>
	<c:if test="${(empty sessionScope.username) and (empty param.username)}">
   		<c:set var="errorMessage" scope="request" value="Campo \"username\" vuoto (richiesto)." />
   		<jsp:forward page="error.jsp" />
	</c:if>
	<c:if test="${empty param.password}">
   		<c:set var="errorMessage" scope="request" value="Campo \"password\" vuoto (richiesto)." />
   		<jsp:forward page="error.jsp" />
	</c:if>
	
<%-- TODO? altri controlli --%>

<sql:setDataSource var="database"
     driver="${initParam.databaseDriver}"
     url="${initParam.databaseUrl}/${initParam.shopName}?useUnicode=yes&characterEncoding=UTF-8"
     user="${initParam.databaseUsername}"
     password="${initParam.databasePassword}" />
	     
<c:choose>
	<c:when test="${empty sessionScope.username}">
		<%-- registrazione nuovo utente --%>
	    
	    <%-- controlla che non sia già presente un utente con lo stesso username --%>
			<sql:query dataSource="${database}" var="result">
				SELECT *
				FROM Cliente
				WHERE username = '${param.username}'
			</sql:query>
		
			<c:if test="${not (empty result.rows)}">
			  	<c:set var="errorMessage" scope="request" value="username già in uso." />
		   	    <jsp:forward page="error.jsp" />
			</c:if>
	    
		<sql:update dataSource="${database}">
	   		INSERT INTO Cliente ( Nome, Cognome, Indirizzo, email, username, password )
	   		 VALUES ( '${param.nome}', '${param.cognome}', '${param.indirizzo}', '${param.email}', '${param.username}', '${param.password}' );
		</sql:update>
		
		<% application.log("user \"" + request.getParameter("username") + "\" registered."); %>	   
	</c:when>
	<c:otherwise>
		<%-- aggiorna profilo utente --%>
		<sql:update dataSource="${database}">
	   		UPDATE Cliente
	   			SET Nome='${param.nome}',
	   			    Cognome='${param.cognome}',
	   			    Indirizzo='${param.indirizzo}',
	   			    Email='${param.email}',
	   			    Password='${param.password}'
	   		 WHERE username = '${sessionScope.username}'
		</sql:update>
		<% application.log("user \"" + session.getAttribute("username") + "\" profile updated."); %>
	</c:otherwise>
</c:choose>

<c:set var="message" scope="request" value="<h1>Utente registrato correttamente</h1><br>Inserisci la tua password per efettuare il login." />
<jsp:forward page="message.jsp" />
