-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jun 23, 2011 at 12:22 PM
-- Server version: 5.5.8
-- PHP Version: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `my shop`
--

-- --------------------------------------------------------

--
-- Table structure for table `caratteristica`
--

CREATE TABLE IF NOT EXISTS `caratteristica` (
  `ID_Caratteristica` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Nome` varchar(255) CHARACTER SET latin1 NOT NULL,
  `Descrizione` varchar(1000) CHARACTER SET latin1 DEFAULT NULL,
  `Immagine` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  PRIMARY KEY (`ID_Caratteristica`),
  UNIQUE KEY `ID_Caratteristica` (`ID_Caratteristica`),
  UNIQUE KEY `Nome` (`Nome`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=23 ;

--
-- Dumping data for table `caratteristica`
--

INSERT INTO `caratteristica` (`ID_Caratteristica`, `Nome`, `Descrizione`, `Immagine`) VALUES
(1, 'Capacità (GB)', 'capacità di memorizzazione del supporto di memoria', NULL),
(2, 'RPM', NULL, NULL),
(4, 'altezza (cm)', NULL, NULL),
(5, 'larghezza (cm)', NULL, NULL),
(6, 'lettore DVD', NULL, NULL),
(7, 'USB (versione)', NULL, NULL),
(8, 'touchscreen', NULL, NULL),
(9, 'LCD', NULL, NULL),
(10, 'garanzia (mesi)', NULL, NULL),
(11, 'diagonale (pollici)', NULL, NULL),
(13, 'CPU', NULL, NULL),
(14, 'RAM', NULL, NULL),
(15, 'GPU', NULL, NULL),
(16, 'video output', NULL, NULL),
(17, 'video input', NULL, NULL),
(18, 'USB (no porte)', NULL, NULL),
(19, 'risoluzione nativa', NULL, NULL),
(20, 'angolo di visione', NULL, NULL),
(21, 'tempo di risposta (ms)', NULL, NULL),
(22, 'rapporto di forma', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `caratterizzaclasse`
--

CREATE TABLE IF NOT EXISTS `caratterizzaclasse` (
  `ID_Caratteristica` bigint(20) unsigned NOT NULL,
  `ID_Classe` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`ID_Caratteristica`,`ID_Classe`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `caratterizzaclasse`
--

INSERT INTO `caratterizzaclasse` (`ID_Caratteristica`, `ID_Classe`) VALUES
(6, 1),
(11, 4),
(16, 4),
(17, 4),
(22, 4);

-- --------------------------------------------------------

--
-- Table structure for table `caratterizzaprodotto`
--

CREATE TABLE IF NOT EXISTS `caratterizzaprodotto` (
  `ID_Caratteristica` bigint(20) unsigned NOT NULL,
  `ID_Prodotto` bigint(20) unsigned NOT NULL,
  `Grandezza` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '',
  PRIMARY KEY (`ID_Caratteristica`,`ID_Prodotto`,`Grandezza`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `caratterizzaprodotto`
--

INSERT INTO `caratterizzaprodotto` (`ID_Caratteristica`, `ID_Prodotto`, `Grandezza`) VALUES
(1, 4, '100'),
(2, 4, '7200'),
(6, 1, ''),
(6, 3, ''),
(7, 1, '2.0'),
(7, 3, '2.0'),
(8, 2, ''),
(9, 2, ''),
(10, 1, '24'),
(10, 2, '24'),
(10, 3, '12'),
(10, 4, '24'),
(11, 5, '15'),
(11, 6, '20'),
(11, 7, '20'),
(13, 1, 'IBM PowerPC-based "Broadway"'),
(13, 3, '3.2GHz PowerPC Tri-Core Xenon'),
(14, 1, '88MB'),
(14, 3, '512MB GDDR3'),
(15, 1, 'ATI "Hollywood"'),
(15, 3, '500MHz ATI Xenos'),
(16, 1, 'component'),
(16, 1, 'composite'),
(16, 1, 'SCART'),
(16, 3, 'composite'),
(16, 3, 'HDMI'),
(17, 5, 'DVI'),
(17, 5, 'HDMI'),
(17, 5, 'VGA'),
(17, 6, 'VGA'),
(18, 1, '2'),
(19, 5, '1024x768 '),
(19, 6, '640x480'),
(19, 7, '640x480'),
(21, 5, '16'),
(21, 6, '25'),
(22, 5, '4:3'),
(22, 6, '4:3'),
(22, 7, '4:3');

-- --------------------------------------------------------

--
-- Table structure for table `carrello`
--

CREATE TABLE IF NOT EXISTS `carrello` (
  `ID_Cliente` bigint(20) unsigned NOT NULL,
  `ID_Prodotto` bigint(20) unsigned NOT NULL,
  `Quantita` int(11) NOT NULL,
  PRIMARY KEY (`ID_Cliente`,`ID_Prodotto`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `carrello`
--

INSERT INTO `carrello` (`ID_Cliente`, `ID_Prodotto`, `Quantita`) VALUES
(1, 1, 4),
(1, 7, 1);

-- --------------------------------------------------------

--
-- Table structure for table `classe`
--

CREATE TABLE IF NOT EXISTS `classe` (
  `ID_Classe` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Nome` varchar(255) CHARACTER SET latin1 NOT NULL,
  `Descrizione` varchar(1000) CHARACTER SET latin1 DEFAULT NULL,
  `Immagine` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  PRIMARY KEY (`ID_Classe`),
  UNIQUE KEY `ID_Classe` (`ID_Classe`),
  UNIQUE KEY `Nome` (`Nome`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Dumping data for table `classe`
--

INSERT INTO `classe` (`ID_Classe`, `Nome`, `Descrizione`, `Immagine`) VALUES
(1, 'videogiochi', NULL, 'http://upload.wikimedia.org/wikipedia/it/4/4b/Playstation.jpg'),
(3, 'hard disk', NULL, NULL),
(4, 'televisori', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `cliente`
--

CREATE TABLE IF NOT EXISTS `cliente` (
  `ID_Cliente` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Nome` varchar(255) CHARACTER SET latin1 NOT NULL,
  `Cognome` varchar(255) CHARACTER SET latin1 NOT NULL,
  `Indirizzo` varchar(255) CHARACTER SET latin1 NOT NULL,
  `email` varchar(255) CHARACTER SET latin1 NOT NULL,
  `username` varchar(255) CHARACTER SET latin1 NOT NULL,
  `password` varchar(255) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`ID_Cliente`),
  UNIQUE KEY `ID_Cliente` (`ID_Cliente`),
  UNIQUE KEY `email` (`email`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Dumping data for table `cliente`
--

INSERT INTO `cliente` (`ID_Cliente`, `Nome`, `Cognome`, `Indirizzo`, `email`, `username`, `password`) VALUES
(1, 'admin', 'admin', 'admin', 'admin', 'admin', 'admin'),
(2, 'Andrea', 'Mantoni', 'via Cagliari 4', 'user@domain.com', 'mantox', '12345');

-- --------------------------------------------------------

--
-- Table structure for table `fornitore`
--

CREATE TABLE IF NOT EXISTS `fornitore` (
  `ID_Fornitore` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Nome` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `Indirizzo` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `Citta` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `Ragione_Sociale` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`ID_Fornitore`),
  UNIQUE KEY `ID_Fornitore` (`ID_Fornitore`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

--
-- Dumping data for table `fornitore`
--

INSERT INTO `fornitore` (`ID_Fornitore`, `Nome`, `Indirizzo`, `Citta`, `Ragione_Sociale`) VALUES
(1, 'Nintendo Italia', 'via PerugiÃ  3', 'Milano', 'sdsdfs');

-- --------------------------------------------------------

--
-- Table structure for table `fornitura`
--

CREATE TABLE IF NOT EXISTS `fornitura` (
  `ID_Ordine` bigint(20) unsigned NOT NULL,
  `ID_Prodotto` bigint(20) unsigned NOT NULL,
  `Quantita` int(11) NOT NULL,
  `Costo` decimal(5,2) NOT NULL,
  PRIMARY KEY (`ID_Ordine`,`ID_Prodotto`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `fornitura`
--

INSERT INTO `fornitura` (`ID_Ordine`, `ID_Prodotto`, `Quantita`, `Costo`) VALUES
(2, 4, 1, 30.00),
(3, 4, 1, 0.00),
(6, 3, 10, 200.00),
(7, 3, 10, 200.00),
(8, 3, 10, 200.00),
(9, 8, 10, 99.00),
(10, 3, 10, 200.00),
(11, 3, 10, 200.00);

-- --------------------------------------------------------

--
-- Table structure for table `ordine`
--

CREATE TABLE IF NOT EXISTS `ordine` (
  `ID_Ordine` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `ID_Cliente` bigint(20) unsigned NOT NULL,
  `Stato` varchar(255) CHARACTER SET latin1 NOT NULL,
  `Data` date NOT NULL,
  `Totale` decimal(8,2) NOT NULL,
  PRIMARY KEY (`ID_Ordine`),
  UNIQUE KEY `ID_Ordine` (`ID_Ordine`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=12 ;

--
-- Dumping data for table `ordine`
--

INSERT INTO `ordine` (`ID_Ordine`, `ID_Cliente`, `Stato`, `Data`, `Totale`) VALUES
(1, 2, 'In attesa di pagamento', '2011-02-28', 200.00),
(2, 1, 'In attesa di pagamento', '2011-03-07', 30.00),
(3, 2, 'In attesa di pagamento', '2011-03-07', 300.00),
(4, 2, 'In attesa di pagamento', '2011-03-07', 630.00),
(5, 2, 'In attesa di pagamento', '2011-03-08', 200.00),
(6, 1, 'In attesa di pagamento', '2011-06-22', 0.00),
(7, 1, 'In attesa di pagamento', '2011-06-22', 0.00),
(8, 1, 'In attesa di pagamento', '2011-06-22', 0.00),
(9, 1, 'In attesa di pagamento', '2011-06-22', 990.00),
(10, 1, 'In attesa di pagamento', '2011-06-22', 0.00),
(11, 1, 'In attesa di pagamento', '2011-06-22', 2000.00);

-- --------------------------------------------------------

--
-- Table structure for table `prodotto`
--

CREATE TABLE IF NOT EXISTS `prodotto` (
  `ID_Prodotto` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Nome` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `Descrizione` varchar(10000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Costo` decimal(5,2) NOT NULL,
  `Disponibile` int(11) NOT NULL,
  `Immagine` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `Immagine2` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `Immagine3` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `Immagine4` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `Immagine5` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `Video` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `URL` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `ID_Fornitore` bigint(20) unsigned DEFAULT NULL,
  `ID_Classe` bigint(20) unsigned DEFAULT NULL,
  PRIMARY KEY (`ID_Prodotto`),
  UNIQUE KEY `ID_Prodotto` (`ID_Prodotto`),
  FULLTEXT KEY `Nome` (`Nome`,`Descrizione`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

--
-- Dumping data for table `prodotto`
--

INSERT INTO `prodotto` (`ID_Prodotto`, `Nome`, `Descrizione`, `Costo`, `Disponibile`, `Immagine`, `Immagine2`, `Immagine3`, `Immagine4`, `Immagine5`, `Video`, `URL`, `ID_Fornitore`, `ID_Classe`) VALUES
(1, 'Nintendo Wii', '<p>La caratteristica pi&ugrave; distintiva della console &egrave; il controller senza fili, il <a href="/wiki/Wiimote" title="Wiimote" class="mw-redirect">Wiimote</a>, il cui nome &egrave; formato da una <a href="/wiki/Crasi" title="Crasi">crasi</a> di Wii e Remote; simile ad un <a href="/wiki/Telecomando" title="Telecomando">telecomando</a>, esso reagisce alle forze vettrici e allo orientamento rispetto allo spazio tridimensionale attraverso un accelerometro a 3 assi presente al suo interno. Tramite inoltre un sistema di led IR posti nella estremit&agrave; superiore, interagisce con la <a href="/wiki/Barra_sensore" title="Barra sensore">barra sensore</a> rendendo possibile il suo utilizzo come sistema puntatore sullo schermo TV.</p>\r\n<p>A differenza del suo predecessore, il Wii utilizza <a href="/wiki/Nintendo_optical_disc" title="Nintendo optical disc" class="mw-redirect">dischi ottici proprietari</a> di dimensioni standard (12 cm), anche in formato <a href="/wiki/Dual_Layer" title="Dual Layer" class="mw-redirect">Dual Layer</a>.</p>', 200.00, 19, 'http://upload.wikimedia.org/wikipedia/commons/thumb/8/83/Wii_console.png/260px-Wii_console.png', 'http://upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Wiimote-in-Hands.jpg/800px-Wiimote-in-Hands.jpg', 'http://upload.wikimedia.org/wikipedia/en/thumb/d/da/Wiimen.png/220px-Wiimen.png', 'http://upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Wii_GameCube_slots.jpg/220px-Wii_GameCube_slots.jpg', NULL, 'http://www.youtube.com/watch?v=327f4hU1oVw', 'http://www.nintendo.com', 1, 1),
(2, 'Nintendo DS Lite', NULL, 100.00, 19, 'http://upload.wikimedia.org/wikipedia/commons/thumb/d/d5/Nintendo-ds-lite.svg/250px-Nintendo-ds-lite.svg.png', 'http://upload.wikimedia.org/wikipedia/commons/thumb/e/e8/Nintendo-DS-Lite-w-stylus.png/256px-Nintendo-DS-Lite-w-stylus.png', 'http://upload.wikimedia.org/wikipedia/commons/thumb/b/bd/DS-card.jpg/100px-DS-card.jpg', 'http://upload.wikimedia.org/wikipedia/commons/thumb/e/e7/Game-Boy-Nintendo-DS-Slots.jpg/220px-Game-Boy-Nintendo-DS-Slots.jpg', 'http://upload.wikimedia.org/wikipedia/commons/thumb/e/e9/Nintendo-DS-Styli.jpg/220px-Nintendo-DS-Styli.jpg', NULL, NULL, NULL, 1),
(3, 'Microsoft XBOX 360', 'La Xbox 360 Ã¨ una console per videogiochi prodotta da Microsoft, con la collaborazione di IBM, ATI Technologies e Samsung, succeduta alla Xbox. La console venne mostrata ufficialmente su MTV il 12 maggio 2005, con le informazioni dettagliate sui giochi e sul lancio divulgate il mese dopo alla Electronic Entertainment Expo. Il suo ingresso nel mercato Ã¨ avvenuto il 22 novembre 2005 in America settentrionale, il 2 dicembre in Europa e il 10 in Giappone.', 200.00, 30, 'http://upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Xbox-360-21.png/350px-Xbox-360-21.png', 'http://upload.wikimedia.org/wikipedia/it/thumb/2/27/Dashboard_xbox360.png/220px-Dashboard_xbox360.png', 'http://upload.wikimedia.org/wikipedia/commons/thumb/2/2d/Xbox360-controller.jpg/220px-Xbox360-controller.jpg', NULL, NULL, NULL, NULL, NULL, 1),
(4, 'Maxtor DiamondMax9 100GB', '...', 30.00, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(5, 'Philips LCD 4/3 15" 15PF4121', NULL, 430.00, 11, 'http://www.migliorscelta.it/img/cella/2514_tv-philips-355.jpg', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 4),
(6, 'Samsung TV LCD 4/3 20" LW20M21C', NULL, 601.00, 20, 'http://www.migliorscelta.it/img/cella/2504_tv-samsung-479.jpg', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 4),
(7, 'LG TV LCD 4/3 20" RZ20LA90', NULL, 601.00, 5, 'http://www.migliorscelta.it/img/cella/2494_tv-lg-519.jpg', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 4),
(8, 'Nintendo Gamecube', 'gdgdfgfd', 99.00, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `prodotto_ordinato`
--

CREATE TABLE IF NOT EXISTS `prodotto_ordinato` (
  `ID_Ordine` bigint(20) unsigned NOT NULL,
  `ID_Prodotto` bigint(20) unsigned NOT NULL,
  `Quantita` int(11) NOT NULL,
  `Costo` decimal(5,2) NOT NULL,
  PRIMARY KEY (`ID_Ordine`,`ID_Prodotto`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `prodotto_ordinato`
--

INSERT INTO `prodotto_ordinato` (`ID_Ordine`, `ID_Prodotto`, `Quantita`, `Costo`) VALUES
(1, 1, 1, 200.00),
(3, 1, 1, 200.00),
(3, 2, 1, 100.00),
(4, 1, 1, 200.00),
(4, 5, 1, 430.00),
(5, 3, 1, 200.00);
