<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ page errorPage="error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql"%>

<sql:setDataSource var="database"
     driver="${initParam.databaseDriver}"
     url="${initParam.databaseUrl}/${initParam.shopName}"
     user="${initParam.databaseUsername}"
     password="${initParam.databasePassword}" />

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="theme/style.css" rel="stylesheet" type="text/css">
<title>${initParam.shopName}</title>
</head>
<body>

<div class="container">
  <div class="header">
  	<%@ include file="header.inc.jsp" %>
  <!-- end .header --></div>
  	<div class="cat-menu">
  		<%@ include file="product_cat_list.inc.jsp" %>
  	</div>
  <div class="content">

  	<h1>Benvenuto nel nostro negozio!</h1>
  	<p>Effettua una ricerca oppure seleziona una classe merceologica a lato.</p>
  	<p></p>
  	
  	<hr>
  	
  	<h2>comunicazioni dall'amministrazione</h2>
  	<%@ include file="news.inc.html" %>
  	
  	<hr>
  	 
  	<%-- TODO: link agli ordini inviati dall'utente attualmente loggato --%>
  	  	
  	<h2>ultimi arrivi:</h2>
	<sql:query dataSource="${database}" var="result">
		SELECT ID_Prodotto, Nome, Costo, Disponibile, Immagine
		FROM Prodotto
		ORDER BY ID_Prodotto DESC
		LIMIT 3
	</sql:query>
  	<%@ include file="product_list.inc.jsp" %>

  	<%-- TODO? mettere in evidenza prodotti in promozione --%>

  <!-- end .content --></div>
  <div class="footer">
  	<%@ include file="footer.inc.jsp" %>
  <!-- end .footer --></div>
  <!-- end .container --></div>

</body>
</html>